Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Class CSSOMComputedStyle

    java.lang.Object
      org.apache.batik.css.dom.CSSOMComputedStyle

All Implemented Interfaces:
  org.w3c.dom.css.CSSStyleDeclaration

Direct Known Subclasses:
  CSSOMSVGComputedStyle

public class CSSOMComputedStyle
extends java.lang.Object
implements org.w3c.dom.css.CSSStyleDeclaration

This class represents the computed style of an element.

Nested Class Summary
`class` | `CSSOMComputedStyle.ComputedCSSValue` To manage a computed CSSValue.

Field Summary
`protected CSSEngine` | `cssEngine` The CSS engine used to compute the values.
`protected CSSStylableElement` | `element` The associated element.
`protected java.lang.String` | `pseudoElement` The optional pseudo-element.
`protected java.util.Map` | `values` The CSS values.

Constructor Summary
`CSSOMComputedStyle(CSSEngine e, CSSStylableElement elt, java.lang.String pseudoElt)` Creates a new computed style.

Method Summary
`protected org.w3c.dom.css.CSSValue` | `createCSSValue(int idx)` Creates a CSSValue to manage the value at the given index.
`java.lang.String` | `getCssText()` DOM: Implements `CSSStyleDeclaration.getCssText()`.
`int` | `getLength()` DOM: Implements `CSSStyleDeclaration.getLength()`.
`org.w3c.dom.css.CSSRule` | `getParentRule()` DOM: Implements `CSSStyleDeclaration.getParentRule()`.
`org.w3c.dom.css.CSSValue` | `getPropertyCSSValue(java.lang.String propertyName)` DOM: Implements `CSSStyleDeclaration.getPropertyCSSValue(String)`.
`java.lang.String` | `getPropertyPriority(java.lang.String propertyName)` DOM: Implements `CSSStyleDeclaration.getPropertyPriority(String)`.
`java.lang.String` | `getPropertyValue(java.lang.String propertyName)` DOM: Implements `CSSStyleDeclaration.getPropertyValue(String)`.
`java.lang.String` | `item(int index)` DOM: Implements `CSSStyleDeclaration.item(int)`.
`java.lang.String` | `removeProperty(java.lang.String propertyName)` DOM: Implements `CSSStyleDeclaration.removeProperty(String)`.
`void` | `setCssText(java.lang.String cssText)` DOM: Implements `CSSStyleDeclaration.setCssText(String)`.
`void` | `setProperty(java.lang.String propertyName, java.lang.String value, java.lang.String prio)` DOM: Implements `CSSStyleDeclaration.setProperty(String,String,String)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cssEngine

    protected CSSEngine cssEngine

  The CSS engine used to compute the values.

### element

    protected CSSStylableElement element

  The associated element.

### pseudoElement

    protected java.lang.String pseudoElement

  The optional pseudo-element.

### values

    protected java.util.Map values

  The CSS values.

Constructor Detail

### CSSOMComputedStyle

    public CSSOMComputedStyle(CSSEngine e,
                              CSSStylableElement elt,
                              java.lang.String pseudoElt)

  Creates a new computed style.

Method Detail

### getCssText

    public java.lang.String getCssText()

  DOM: Implements `CSSStyleDeclaration.getCssText()`.

  Specified by:
    `getCssText` in interface `org.w3c.dom.css.CSSStyleDeclaration`

### setCssText

    public void setCssText(java.lang.String cssText)
                    throws org.w3c.dom.DOMException

  DOM: Implements `CSSStyleDeclaration.setCssText(String)`. Throws a NO_MODIFICATION_ALLOWED_ERR `DOMException`.

  Specified by:
    `setCssText` in interface `org.w3c.dom.css.CSSStyleDeclaration`
  Throws:
    `org.w3c.dom.DOMException`

### getPropertyValue

    public java.lang.String getPropertyValue(java.lang.String propertyName)

  DOM: Implements `CSSStyleDeclaration.getPropertyValue(String)`.

  Specified by:
    `getPropertyValue` in interface `org.w3c.dom.css.CSSStyleDeclaration`

### getPropertyCSSValue

    public org.w3c.dom.css.CSSValue getPropertyCSSValue(java.lang.String propertyName)

  DOM: Implements `CSSStyleDeclaration.getPropertyCSSValue(String)`.

  Specified by:
    `getPropertyCSSValue` in interface `org.w3c.dom.css.CSSStyleDeclaration`

### removeProperty

    public java.lang.String removeProperty(java.lang.String propertyName)
                                    throws org.w3c.dom.DOMException

  DOM: Implements `CSSStyleDeclaration.removeProperty(String)`.

  Specified by:
    `removeProperty` in interface `org.w3c.dom.css.CSSStyleDeclaration`
  Throws:
    `org.w3c.dom.DOMException`

### getPropertyPriority

    public java.lang.String getPropertyPriority(java.lang.String propertyName)

  DOM: Implements `CSSStyleDeclaration.getPropertyPriority(String)`.

  Specified by:
    `getPropertyPriority` in interface `org.w3c.dom.css.CSSStyleDeclaration`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            java.lang.String value,
                            java.lang.String prio)
                     throws org.w3c.dom.DOMException

  DOM: Implements `CSSStyleDeclaration.setProperty(String,String,String)`.

  Specified by:
    `setProperty` in interface `org.w3c.dom.css.CSSStyleDeclaration`
  Throws:
    `org.w3c.dom.DOMException`

### getLength

    public int getLength()

  DOM: Implements `CSSStyleDeclaration.getLength()`.

  Specified by:
    `getLength` in interface `org.w3c.dom.css.CSSStyleDeclaration`

### item

    public java.lang.String item(int index)

  DOM: Implements `CSSStyleDeclaration.item(int)`.

  Specified by:
    `item` in interface `org.w3c.dom.css.CSSStyleDeclaration`

### getParentRule

    public org.w3c.dom.css.CSSRule getParentRule()

  DOM: Implements `CSSStyleDeclaration.getParentRule()`.

  Specified by:
    `getParentRule` in interface `org.w3c.dom.css.CSSStyleDeclaration`
  Returns:
    null.

### createCSSValue

    protected org.w3c.dom.css.CSSValue createCSSValue(int idx)

  Creates a CSSValue to manage the value at the given index.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.